# Rôle lb-front
***
Rôle lb-front pour la répartition de charge des serveurs web sur WordPress avec HAProxy

## Tables des matières
    1. Que fait le rôle lb-front ?
    2. Ordre d'installation des serveurs.


## Que fait le rôle lb-front ?

Le rôle lb-front va installer `haproxy` pour le load balancing/la répartition de charge et va configurer le fichier `/etc/haproxy/haproxy.cfg`.

le fichier va faire du Round-Robin, un algoritme qui va équilibrer le nombre de requêtes entre s-lb-web1 et s-lb-web2.

le site web est accessibe à l'adresse <http://s-lb.gsb.adm>.

## Ordre d'installation des serveurs.
    1. Le serveur s-lb avec haproxy qui va "initialiser" les sous-réseaux dans la DMZ.
    2. Le serveur s-lb-bd qui va contenir la base de données WordPress utilisée par les serveurs web.
    3. Le serveur s-nas qui va stocker la configuration WordPress et la partager aux serveurs web en NFS. Il va aussi utiliser la base de données sur stockée s-lb-bd.
    4. Les serveurs s-web1 et s-web2 qui vont installer Apache2, PHP et afficher le serveur WordPress.
